org.apache.felix.deployment.rp.autoconf

## Class MetaTypeUtil

- java.lang.Object
- - org.apache.felix.deployment.rp.autoconf.MetaTypeUtil

    public class MetaTypeUtil
    extends Object

Convenience methods to work with MetaType structures.

### Method Summary

All Methods Static Methods Concrete Methods
`static Dictionary` `getProperties(org.apache.felix.metatype.Designate designate, org.osgi.service.metatype.ObjectClassDefinition ocd)` Determines the actual configuration data based on the specified designate and object class definition

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getProperties

    public static Dictionary getProperties(org.apache.felix.metatype.Designate designate,
                                           org.osgi.service.metatype.ObjectClassDefinition ocd)
                                    throws org.osgi.service.deploymentadmin.spi.ResourceProcessorException

Determines the actual configuration data based on the specified designate and object class definition

Parameters:
  `designate` - The designate object containing the values for the properties
  `ocd` - The object class definition
Returns:
  A dictionary containing data as described in the designate and ocd objects, or `null` if the designate does not match it's definition and the designate was marked as optional.
Throws:
  `org.osgi.service.deploymentadmin.spi.ResourceProcessorException` - If the designate does not match the ocd and the designate is not marked as optional.